var Http_Request;
var XMLDocument;
function AjaxCls(){
   this.sendUrl="";
   this.ImgId;
   this.getRequest=function(){
	   Http_Request=null;
       if(window.XMLHttpRequest){
          Http_Request=new XMLHttpRequest();
          if(Http_Request.overrideMimeType)
             Http_Request.overrideMimeType("text/xml");

		}else{
          if(window.ActiveXObject){
             try{
                Http_Request=new ActiveXObject("Msxml2.XMLHTTP");
             }catch(e)
             {try{
                   Http_Request=new ActiveXObject("Microsoft.XMLHTTP");
                }catch(e){
                   Http_Request=null;
                }
             }
          }
       }
   };

   this.getXMLResponse=function(){
       Http_Request.onreadystatechange=alertContents;
       Http_Request.open("get",this.sendUrl,true);
	   Http_Request.setRequestHeader ("Charset","GB2312");
       Http_Request.send(null);
   };
   
   this.getXMLResponse2=function(){
       Http_Request.open("get",this.sendUrl,true);
	   Http_Request.setRequestHeader ("Charset","GB2312");
       Http_Request.send(null);
   };
   
   this.getXMLResponse3=function(){
       Http_Request.onreadystatechange=alertContents3;
       Http_Request.open("get",this.sendUrl,true);
	   Http_Request.setRequestHeader ("Charset","GB2312");
       Http_Request.send(null);
   };
   this.getXMLResponse4=function(){//Éú³É¾²Ì¬Ò³Ãæ
       Http_Request.onreadystatechange=alertContents4;
       Http_Request.open("get",this.sendUrl,true);
	   Http_Request.setRequestHeader ("Charset","GB2312");
       Http_Request.send(null);
   };
}



